SGE_Helper_Service.exe(8)

NAME
SGE_Helper_Service.exe - Grid Engine job execution agent helper service

SYNOPSIS
SGE_Helper_Service.exe [ -help | -install | -uninstall ]

DESCRIPTION

SGE_Helper_Service.exe helps the to run Windows jobs that request to be allowed to display their GUI on the visible Desktop. It is a Win32 service that is started at boot time under the SYSTEM account, giving it the permissions to give any process the permissions to access the visible Desktop.
This service runs independently of the (i.e. it is not started and stopped together with the execution daemon) and there can be only one SGE_Helper_Service.exe per host.
Jobs can request to be allowed to display their GUI on the visible desktop by requesting the resource "display_win_gui" (qsub -l display_win_gui=1). See , option "-v", for information on how to set a job environment variable.
When running GUI jobs, the environment variable SGE_BACKGND_MODE can be used to direct where the output of the GUI will be displayed. If the environment variable SGE_BACKGND_MODE is set to "TRUE" or "1" and "-l display_win_gui=true" is requested, the job is started by the helper service, but the GUI is not opened on the execution host's screen. Instead it is opened on a virtual screen.

OPTIONS

  -help
Prints a listing of all options.

  -install
Installs the service. Only the local Administrator has the permissions to install the service.

  -uninstall
Uninstalls the service. Only the local Administrator has the permissions to uninstall the service. Only a stopped service can be uninstalled. See the Windows command net.exe for information on how to stop a service.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.